Bug 32408 - Listener module for replication of UDM Module extensions
Listener module for replication of UDM Module extensions
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: LDAP
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2
Assigned To: Arvid Requate
Stefan Gohmann
: interim-3
Depends on: 32299
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 14:32 CEST by Arvid Requate
Modified: 2013-11-19 06:41 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2013-08-28 14:32:10 CEST
A listener module for the replication of UDM Modules should be implemented,

* running on UCS Master, Backup, Slave and Memberservers
* filtering for a specific objectClass representing UDM Modules
* writing the value of an LDAP attribute "univentionUDMModule"
* to a file specified by another LDAP attribute "univentionUDMModuleFilename"
* below the directory /usr/share/pyshared/univention/admin/handlers
* It must not overwrite newer versions by older versions.
* It updates the python links e.g. by calling update-python-modules -p


These extension objects are created by metapackage joinscripts using a univention-lib function.
Comment 1 Arvid Requate univentionstaff 2013-09-05 22:23:10 CEST
Implemented as part of listener udm_extension shipped by the package python-univention-directory-manager.
Changelog committed.
Comment 2 Sönke Schwardt-Krummrich univentionstaff 2013-09-26 14:39:13 CEST
udm_extension.py contains some typos (UCS vs. UCR):
→ current_UCR_version="%s-%s" % (listener.configRegistry.get('version/version'), 
                               listener.configRegistry.get('version/patchlevel'))
→ if univentionUCSVersionStart and current_UCR_version<univentionUCSVersionStart:
→ extension %s requires at least UCR version %s.
→ REOPEN

ucsversionend should be inclusive → separated into see Bug 32676
→ found by ucs-test 21_listener_version_start_end
→ REOPEN
Comment 3 Sönke Schwardt-Krummrich univentionstaff 2013-09-27 11:12:49 CEST
The UCS version comparison is implemented as simple string comparison:
>>> '3.2-1' < '3.10-2'
False
>>> '3.2-9' < '3.2-10'
False
→ REOPEN
Comment 4 Arvid Requate univentionstaff 2013-10-07 21:50:01 CEST
Ok, fixed by using the UCS_Version class from univention.updater.tools.
Comment 5 Stefan Gohmann univentionstaff 2013-10-31 12:15:08 CET
Changelog + Test cases + Tests: OK
Comment 6 Stefan Gohmann univentionstaff 2013-11-19 06:41:40 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".